YUI Flash Component Documentation | All Packages | All Classes | Index | Frames No Frames |
Class ImageExport

Package | com.yahoo.util
Class | public class ImageExport

Public Properties

| Property | Defined by
--- | --- | ---
|  | contextMenu : ContextMenu | ImageExport
|  | fileName : String | ImageExport
|  | fr : FileReference | ImageExport
|  | imageType : Dictionary | ImageExport
|  | mainApp : Sprite | ImageExport

Public Methods

| Method | Defined by
--- | --- | ---
|  | ImageExport(stagePointer:Sprite) | ImageExport
|  | addImageType(exportType:String, defaultFilename:String = "image"):void | ImageExport
|  | menuItemSelectHandler(event:Object):void | ImageExport

Property detail

contextMenu | property

`public var contextMenu:ContextMenu`

fileName | property |

`public var fileName:String`

fr | property |

`public var fr:FileReference`

imageType | property |

`public var imageType:Dictionary`

mainApp | property |

`public var mainApp:Sprite`
Constructor detail

ImageExport | () | constructor

`public function ImageExport(stagePointer:Sprite)`Parameters

| `stagePointer:Sprite`

Method detail

addImageType | () | method

`public function addImageType(exportType:String, defaultFilename:String = "image"):void` Parameters

| `exportType:String`
| `defaultFilename:String` (default = "`image`")``

menuItemSelectHandler | () | method |

`public function menuItemSelectHandler(event:Object):void` Parameters

| `event:Object`